from opentrons import protocol_api

metadata = {
    'apiLevel': '2.2',
    'author': 'HidetakaOhnuki'}

def run(protocol: protocol_api.ProtocolContext):
    tiprack1 = protocol.load_labware('opentrons_96_filtertiprack_200ul', '1')
    tiprack2 = protocol.load_labware('opentrons_96_filtertiprack_200ul', '2')
    tiprack3 = protocol.load_labware('opentrons_96_filtertiprack_200ul', '3')
    reservoir = protocol.load_labware('usascientific_12_reservoir_22ml', '4')
    tiprack5 = protocol.load_labware('opentrons_96_filtertiprack_20ul', '5')
    tiprack6 = protocol.load_labware('opentrons_96_filtertiprack_20ul', '6')
    plate7 = protocol.load_labware('geneseescientific_96_wellplate_250ul', '7')
    plate8 = protocol.load_labware('corning_96_wellplate_360ul_flat', '8')
    plate10 = protocol.load_labware('geneseescientific_96_wellplate_250ul', '10')
    plate11 = protocol.load_labware('corning_96_wellplate_360ul_flat', '11')
    p300_multi = protocol . load_instrument ( 'p300_multi' , 'right' , tip_racks = [tiprack1, tiprack2, tiprack3])
    p50_multi = protocol. load_instrument('p50_multi', 'left', tip_racks = [tiprack5, tiprack6])
  
    # Step 2: Remove 195 ul/well supernatant, slot 8.
    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A1'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A1'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A1'])
    p300_multi.aspirate( 75, plate7['A1'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A1'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A1'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A1'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A1'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A1'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A1'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A1'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A1'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A2'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A2'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A2'])
    p300_multi.aspirate( 75, plate7['A2'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A2'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A2'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A2'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A2'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A2'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A2'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A2'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A2'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A3'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A3'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A3'])
    p300_multi.aspirate( 75, plate7['A3'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A3'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A3'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A3'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A3'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A3'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A3'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A3'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A3'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A4'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A4'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A4'])
    p300_multi.aspirate( 75, plate7['A4'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A4'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A4'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A4'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A4'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A4'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A4'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A4'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A4'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A5'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A5'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A5'])
    p300_multi.aspirate( 75, plate7['A5'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A5'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A5'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A5'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A5'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A5'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A5'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A5'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A5'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A6'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A6'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A6'])
    p300_multi.aspirate( 75, plate7['A6'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A6'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A6'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A6'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A6'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A6'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A6'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A6'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A6'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A7'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A7'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A7'])
    p300_multi.aspirate( 75, plate7['A7'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A7'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A7'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A7'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A7'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A7'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A7'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A7'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A7'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A8'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A8'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A8'])
    p300_multi.aspirate( 75, plate7['A8'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A8'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A8'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A8'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A8'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A8'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A8'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A8'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A8'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A9'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A9'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A9'])
    p300_multi.aspirate( 75, plate7['A9'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A9'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A9'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A9'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A9'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A9'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A9'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A9'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A9'], radius=0.75)
    p50_multi.return_tip()    

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A10'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A10'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A10'])
    p300_multi.aspirate( 75, plate7['A10'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A10'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A10'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A10'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A10'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A10'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A10'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A10'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A10'], radius=0.75)
    p50_multi.return_tip()   

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A11'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A11'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A11'])
    p300_multi.aspirate( 75, plate7['A11'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A11'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A11'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A11'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A11'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A11'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A11'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A11'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A11'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate7['A12'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate7['A12'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate8['A12'])
    p300_multi.aspirate( 75, plate7['A12'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate7['A12'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate7['A12'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate7['A12'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate8['A12'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate8['A12'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate7['A12'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate8['A12'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate8['A12'], radius=0.75)
    p50_multi.return_tip()                                    

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A1'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A1'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A1'])
    p300_multi.aspirate( 75, plate10['A1'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A1'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A1'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A1'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A1'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A1'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A1'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A1'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A1'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A2'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A2'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A2'])
    p300_multi.aspirate( 75, plate10['A2'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A2'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A2'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A2'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A2'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A2'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A2'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A2'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A2'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A3'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A3'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A3'])
    p300_multi.aspirate( 75, plate10['A3'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A3'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A3'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A3'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A3'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A3'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A3'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A3'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A3'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A4'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A4'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A4'])
    p300_multi.aspirate( 75, plate10['A4'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A4'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A4'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A4'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A4'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A4'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A4'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A4'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A4'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A5'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A5'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A5'])
    p300_multi.aspirate( 75, plate10['A5'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A5'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A5'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A5'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A5'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A5'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A5'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A5'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A5'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A6'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A6'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A6'])
    p300_multi.aspirate( 75, plate10['A6'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A6'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A6'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A6'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A6'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A6'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A6'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A6'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A6'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A7'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A7'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A7'])
    p300_multi.aspirate( 75, plate10['A7'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A7'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A7'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A7'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A7'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A7'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A7'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A7'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A7'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A8'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A8'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A8'])
    p300_multi.aspirate( 75, plate10['A8'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A8'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A8'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A8'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A8'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A8'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A8'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A8'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A8'], radius=0.75)
    p50_multi.return_tip() 

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A9'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A9'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A9'])
    p300_multi.aspirate( 75, plate10['A9'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A9'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A9'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A9'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A9'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A9'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A9'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A9'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A9'], radius=0.75)
    p50_multi.return_tip()    

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A10'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A10'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A10'])
    p300_multi.aspirate( 75, plate10['A10'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A10'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A10'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A10'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A10'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A10'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A10'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A10'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A10'], radius=0.75)
    p50_multi.return_tip()   

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A11'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A11'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A11'])
    p300_multi.aspirate( 75, plate10['A11'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A11'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A11'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A11'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A11'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A11'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A11'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A11'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A11'], radius=0.75)
    p50_multi.return_tip()

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 75, plate10['A12'].bottom(z=11.5), rate=0.5) # rate 0.5 with P300 = 75 uL/sec
    p300_multi.aspirate( 75, plate10['A12'].bottom(z=9.5), rate=0.5)
    p300_multi.dispense( 205, plate11['A12'])
    p300_multi.aspirate( 75, plate10['A12'].bottom(z=6), rate=0.1) # rate 0.1 with P300 = 15 uL/sec
    p300_multi.aspirate( 25, plate10['A12'].bottom(z=5), rate=0.02)
    p300_multi.aspirate( 20, plate10['A12'].bottom(z=4), rate=0.02)
    p300_multi.aspirate( 20, plate10['A12'].bottom(z=2.5), rate=0.02)
    p300_multi.dispense( 205, plate11['A12'])
    p300_multi.blow_out()
    p300_multi.touch_tip(plate11['A12'], radius=0.75)    
    p300_multi.return_tip() 
    p50_multi.pick_up_tip()
    p50_multi.aspirate( 10, plate10['A12'].bottom(z=2), rate=0.1) # rate 0.1 with P50 = 2.5 uL/sec
    p50_multi.dispense( 20, plate11['A12'])
    p50_multi.blow_out()
    p50_multi.touch_tip(plate11['A12'], radius=0.75)
    p50_multi.return_tip()

    #Step 3: Plate in Slot 7 and 10: Add 50 ul/well of Mineral oil containing 4.5% TEMED.
    p300_multi.pick_up_tip()
    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=30), rate=0.1)
    p300_multi.dispense( 50, plate7['A1'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A1'], radius=0.75)
    p300_multi.dispense( 50, plate7['A2'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A2'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=30), rate=0.1)

    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=28), rate=0.1)
    p300_multi.dispense( 50, plate7['A3'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A3'], radius=0.75)
    p300_multi.dispense( 50, plate7['A4'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A4'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=28), rate=0.1)

    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=26), rate=0.1)
    p300_multi.dispense( 50, plate7['A5'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A5'], radius=0.75)
    p300_multi.dispense( 50, plate7['A6'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A6'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=26), rate=0.1)
    p300_multi.return_tip()

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=23), rate=0.1)
    p300_multi.dispense( 50, plate7['A7'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A7'], radius=0.75)
    p300_multi.dispense( 50, plate7['A8'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A8'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=23), rate=0.1)

    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=21), rate=0.1)
    p300_multi.dispense( 50, plate7['A9'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A9'], radius=0.75)
    p300_multi.dispense( 50, plate7['A10'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A10'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=21), rate=0.1)

    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=19), rate=0.1)
    p300_multi.dispense( 50, plate7['A11'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A11'], radius=0.75)
    p300_multi.dispense( 50, plate7['A12'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate7['A12'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=19), rate=0.1)
    p300_multi.return_tip()

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=17), rate=0.1)
    p300_multi.dispense( 50, plate10['A1'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A1'], radius=0.75)
    p300_multi.dispense( 50, plate10['A2'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A2'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=17), rate=0.1)

    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=14), rate=0.1)
    p300_multi.dispense( 50, plate10['A3'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A3'], radius=0.75)
    p300_multi.dispense( 50, plate10['A4'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A4'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=14), rate=0.1)

    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=12), rate=0.1)
    p300_multi.dispense( 50, plate10['A5'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A5'], radius=0.75)
    p300_multi.dispense( 50, plate10['A6'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A6'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=12), rate=0.1)
    p300_multi.return_tip()

    p300_multi.pick_up_tip()
    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=10), rate=0.1)
    p300_multi.dispense( 50, plate10['A7'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A7'], radius=0.75)
    p300_multi.dispense( 50, plate10['A8'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A8'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=10), rate=0.1)

    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=8), rate=0.1)
    p300_multi.dispense( 50, plate10['A9'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A9'], radius=0.75)    
    p300_multi.dispense( 50, plate10['A10'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A10'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=8), rate=0.1)

    p300_multi.aspirate( 150, reservoir['A3'].bottom(z=5), rate=0.1)
    p300_multi.dispense( 50, plate10['A11'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A11'], radius=0.75)
    p300_multi.dispense( 50, plate10['A12'].bottom(z=5), rate=0.1)
    p300_multi.touch_tip(plate10['A12'], radius=0.75)
    p300_multi.dispense( 200, reservoir['A3'].bottom(z=5), rate=0.1)
    p300_multi.return_tip()